export type Memo = {
    type?: string
    format?: string
    data?: string
}

export type Wallet = {secret: string, address:string }

export type Signature = {signature: string, signer: PublicKey}

export type Address = string
export type Secret = string
export type PublicKey = string
export type Amount = number
export type TxHash = string
export type Options = {
    debug?: boolean
    connectionTimeout?: number
    readMaxRetry?: number
    readRetryTimeout?: number,
    readFreshApi?:boolean,
    writeMaxRetry?: number
    writeRetryTimeout?: number
}

export const defaultOptions: Options = {
    debug: false,
    connectionTimeout: 100000,
    readFreshApi: true,
    readMaxRetry: 50,
    readRetryTimeout: 750,
    writeMaxRetry: 10,
    writeRetryTimeout: 10000
  }