const path = require('path');
const webpack = require('webpack');

module.exports = {
  mode: "production",
  target: "web",
  entry: path.resolve(__dirname, 'index.ts'),
  output: {
    path: path.resolve(__dirname, '..', 'lib', 'browser'),
    filename: "xrpio.browser.js",
    libraryTarget: "window"
  },
  resolve: {
    extensions: [".ts", ".tsx", ".js"],
    fallback: {
      "https": require.resolve("https-browserify"),
      "zlib": require.resolve("browserify-zlib"),
      "stream": require.resolve("stream-browserify"),
      "crypto": require.resolve("crypto-browserify"),
      "http": require.resolve("stream-http"),
      "https": require.resolve("https-browserify")
    }
  },
  module: {
    rules: [
      {
        test: /\.ts?$/, 
        loader: "ts-loader"
      },
    ]
  },
  optimization: {
    minimize: false
  },
  externals: {
  },
  plugins: [
    new webpack.ProvidePlugin({
      process: 'process/browser',
      Buffer: ['buffer', 'Buffer']
    })
  ]
}